org.cybergarage.upnp.event

## Class NotifyRequest

- java.lang.Object
- - org.cybergarage.http.HTTPPacket
  - - org.cybergarage.http.HTTPRequest
    - - org.cybergarage.soap.SOAPRequest
      - - org.cybergarage.upnp.event.NotifyRequest

-     public class NotifyRequest
      extends SOAPRequest

  Represents a UPnP event notification request.

  This class extends SOAPRequest to handle GENA (General Event Notification Architecture) NOTIFY messages sent by UPnP devices to inform subscribers about state variable changes. It manages the creation and parsing of event notification messages.

  Key features:

  - Event notification message creation and parsing
  - Property set and property XML structure handling
  - SID (Subscription ID) and SEQ (sequence number) management
  - NT (Notification Type) and NTS (Notification Sub-Type) headers
  - Multi-property change notifications

  This class is used by UPnP devices to send event notifications to subscribed control points, informing them of changes in service state variables. It handles both single and multiple property changes in a single notification message.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotifyRequest()`
    `NotifyRequest(HTTPRequest httpReq)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PropertyList` | `getPropertyList()`
    `long` | `getSEQ()`
    `String` | `getSID()`
    `void` | `setNT(String value)`
    `void` | `setNTS(String value)`
    `boolean` | `setRequest(Subscriber sub, String varName, String value)`
    `void` | `setSEQ(long value)`
    `void` | `setSID(String id)`

    - ### Methods inherited from class org.cybergarage.soap.SOAPRequest

      `getBodyNode, getEnvelopeNode, getSOAPAction, isSOAPAction, postMessage, print, setContent, setEnvelopeNode, setSOAPAction`

    - ### Methods inherited from class org.cybergarage.http.HTTPRequest

      `getFirstLineString, getHeader, getHTTPVersion, getLocalAddress, getLocalPort, getMethod, getParameterList, getParameterValue, getRequestHost, getRequestPort, getSocket, getURI, isGetRequest, isHeadRequest, isKeepAlive, isMethod, isNotifyRequest, isPostRequest, isSOAPAction, isSubscribeRequest, isUnsubscribeRequest, parseRequestLine, post, post, post, read, returnBadRequest, returnOK, returnResponse, set, setBindHost, setMethod, setRequestHost, setRequestPort, setSocket, setURI, setURI, toString`

    - ### Methods inherited from class org.cybergarage.http.HTTPPacket

      `addHeader, addHeader, clearHeaders, getCacheControl, getCharSet, getConnection, getContent, getContentInputStream, getContentLanguage, getContentLength, getContentRange, getContentRangeFirstPosition, getContentRangeInstanceLength, getContentRangeLastPosition, getContentString, getContentType, getDate, getFirstLine, getFirstLineToken, getHeader, getHeader, getHeaderString, getHeaderValue, getHost, getIntegerHeaderValue, getLongHeaderValue, getNHeaders, getServer, getStringHeaderValue, getStringHeaderValue, getTransferEncoding, getVersion, hasConnection, hasContent, hasContentInputStream, hasContentRange, hasFirstLine, hasHeader, hasTransferEncoding, init, isChunked, isCloseConnection, isKeepAliveConnection, read, set, set, set, set, setCacheControl, setCacheControl, setCacheControl, setConnection, setContent, setContent, setContent, setContent, setContentInputStream, setContentLanguage, setContentLength, setContentRange, setContentType, setDate, setHeader, setHeader, setHeader, setHeader, setHost, setIntegerHeader, setLongHeader, setServer, setStringHeader, setStringHeader, setTransferEncoding, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NotifyRequest

          public NotifyRequest()

    - #### NotifyRequest

          public NotifyRequest(HTTPRequest httpReq)

  - ### Method Detail

    - #### getPropertyList

          public PropertyList getPropertyList()

    - #### getSEQ

          public long getSEQ()

    - #### getSID

          public String getSID()

    - #### setNT

          public void setNT(String value)

    - #### setNTS

          public void setNTS(String value)

    - #### setRequest

          public boolean setRequest(Subscriber sub,
                                    String varName,
                                    String value)

    - #### setSEQ

          public void setSEQ(long value)

    - #### setSID

          public void setSID(String id)